#
# spec file for package python-fasteners
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-fasteners
Version:        0.14.1
Release:        6.1
Summary:        A python package that provides useful locks
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/harlowja/fasteners
Source:         https://pypi.python.org/packages/source/f/fasteners/fasteners-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-monotonic >= 0.1
Requires:       python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A python package that provides useful locks
It includes the following.
 * Locking decorator
 * Reader-writer locks
 * Inter-process locks
 * Generic helpers

%prep
%setup -q -n fasteners-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE README.rst
%{python_sitelib}/*

%changelog
* Thu Dec 17 2015 tbechtold@suse.com
- update to 0.14.1:
  * Allow providing a custom exception logger
    to 'locked' decorator
  * Allow providing a custom logger to process
    lock class
  * Fix issue #12
* Sun Oct  4 2015 tbechtold@suse.com
- update to 0.13.0:
  * Fix 'ensure_tree' check on freebsd
* Fri Jul  3 2015 dmueller@suse.com
- fix requires
* Wed Jun 24 2015 tbechtold@suse.com
- Initial packaging
